Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 618221 - SELinux is preventing /usr/sbin/swat "read" access on /var/run/winbindd.pid.
SELinux is preventing /usr/sbin/swat "read" access on /var/run/winbindd....
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:fa4cf31bf37...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-26 08:58 EDT by Renato
Modified: 2010-08-19 21:44 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.6.32-120.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 21:44:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Renato 2010-07-26 08:58:41 EDT
Sumário:

SELinux is preventing /usr/sbin/swat "read" access on /var/run/winbindd.pid.

Descrição detalhada:

SELinux denied access requested by swat. It is not expected that this access is
required by swat and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Permitindo acesso:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Informações adicionais:

Contexto de origem            system_u:system_r:swat_t:s0-s0:c0.c1023
Contexto de destino           system_u:object_r:winbind_var_run_t:s0
Objetos de destino            /var/run/winbindd.pid [ file ]
Origem                        swat
Caminho da origem             /usr/sbin/swat
Porta                         <Desconhecido>
Máquina                      (removido)
Pacotes RPM de origem         samba-swat-3.4.8-59.fc12
Pacotes RPM de destino        
RPM da política              selinux-policy-3.6.32-118.fc12
Selinux habilitado            True
Tipo de política             targeted
Modo reforçado               Enforcing
Nome do plugin                catchall
Nome da máquina              (removido)
Plataforma                    Linux (removido) 2.6.32.16-141.fc12.i686
                              #1 SMP Wed Jul 7 04:47:25 UTC 2010 i686 i686
Contador de alertas           1
Visto pela primeira vez em    Qui 22 Jul 2010 10:14:49 BRT
Visto pela última vez em     Qui 22 Jul 2010 10:14:49 BRT
ID local                      87c351f7-eb5b-45fd-93ab-1eca938a5e95
Números de linha             

Mensagens de auditoria não p 

node=(removido) type=AVC msg=audit(1279804489.921:36650): avc:  denied  { read } for  pid=9882 comm="swat" name="winbindd.pid" dev=dm-0 ino=4591 scontext=system_u:system_r:swat_t:s0-s0:c0.c1023 tcontext=system_u:object_r:winbind_var_run_t:s0 tclass=file

node=(removido) type=SYSCALL msg=audit(1279804489.921:36650): arch=40000003 syscall=5 success=no exit=-13 a0=16c5718 a1=8800 a2=0 a3=d12312 items=0 ppid=1259 pid=9882 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="swat" exe="/usr/sbin/swat" subj=system_u:system_r:swat_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,swat,swat_t,winbind_var_run_t,file,read
audit2allow suggests:

#============= swat_t ==============
allow swat_t winbind_var_run_t:file read;
Comment 1 Daniel Walsh 2010-07-26 17:20:18 EDT
Miroslav add

read_files_pattern(swat_t, winbind_var_run_t, winbind_var_run_t)
Comment 2 Miroslav Grepl 2010-08-05 07:39:33 EDT
Fixed in selinux-policy-3.6.32-120.fc12
Comment 3 Fedora Update System 2010-08-05 09:18:41 EDT
selinux-policy-3.6.32-120.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-120.fc12
Comment 4 Fedora Update System 2010-08-05 19:22:48 EDT
selinux-policy-3.6.32-120.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-120.fc12
Comment 5 Fedora Update System 2010-08-19 21:39:03 EDT
selinux-policy-3.6.32-120.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.